ALTER TABLE `hlstats_Players` 
  ADD `connection_time` INT DEFAULT '0' NOT NULL AFTER `last_event`,
  ADD `lastAddress` VARCHAR(15) NOT NULL AFTER `lastName`,
  ADD `city` VARCHAR(128) NOT NULL AFTER `lastAddress`,
  ADD `state` VARCHAR( 128 ) NOT NULL AFTER `city`,
  ADD `country` VARCHAR(128) NOT NULL AFTER `state`,
  ADD `flag` VARCHAR(2) NOT NULL AFTER `country`,
  ADD `lat` VARCHAR( 16 ) NOT NULL AFTER `flag` ,
  ADD `lng` VARCHAR( 16 ) NOT NULL AFTER `lat`;
ALTER TABLE `hlstats_Players` ADD `last_skill_change` INT DEFAULT '0' NOT NULL ;

ALTER TABLE `hlstats_Players` 
  CHANGE `last_event` `last_event` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `connection_time` `connection_time` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `kills` `kills` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `deaths` `deaths` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `suicides` `suicides` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `skill` `skill` INT(11) UNSIGNED NOT NULL DEFAULT '1000',
  CHANGE `shots` `shots` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `hits` `hits` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `headshots` `headshots` INT(11) UNSIGNED NOT NULL DEFAULT '0';

ALTER TABLE `hlstats_Livestats` 
  ADD `cli_address` VARCHAR(15) NOT NULL AFTER `server_id`,
  ADD `cli_city` VARCHAR(128) NOT NULL AFTER `cli_address`,
  ADD `cli_country` VARCHAR(128) NOT NULL AFTER `cli_city`,
  ADD `cli_flag` VARCHAR(2) NOT NULL AFTER `cli_country`,
  ADD `cli_state` VARCHAR(128) NOT NULL AFTER `cli_flag`,
  ADD `cli_lat` VARCHAR(16) NOT NULL AFTER `cli_state`,
  ADD `cli_lng` VARCHAR(16) NOT NULL AFTER `cli_lat`;

ALTER TABLE `hlstats_PlayerNames` 
  ADD `connection_time` INT DEFAULT '0' NOT NULL AFTER `lastuse` ;

  
ALTER TABLE `hlstats_PlayerNames` 
  CHANGE `connection_time` `connection_time` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `kills` `kills` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `deaths` `deaths` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `suicides` `suicides` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `headshots` `headshots` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `shots` `shots` INT(11) UNSIGNED NOT NULL DEFAULT '0',
  CHANGE `hits` `hits` INT(11) UNSIGNED NOT NULL DEFAULT '0';
  
-- 
-- Tabellenstruktur für Tabelle `hlstats_Players_History`
-- 

CREATE TABLE `hlstats_Players_History` (
  `playerId` int(10) unsigned NOT NULL default '0',
  `eventTime` date NOT NULL default '0000-00-00',
  `connection_time` int(10) unsigned NOT NULL default '0',
  `kills` int(11) unsigned NOT NULL default '0',
  `deaths` int(11) unsigned NOT NULL default '0',
  `suicides` int(11) unsigned NOT NULL default '0',
  `skill` int(11) unsigned NOT NULL default '1000',
  `shots` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0',
  `game` varchar(16) NOT NULL default '',
  `headshots` int(11) unsigned NOT NULL default '0',
  `skill_change` int(11) NOT NULL default '0',
  UNIQUE KEY `eventTime` (`eventTime`,`playerId`,`game`)
) TYPE=MyISAM;


ALTER TABLE `hlstats_Weapons` 
  ADD `kills` INT UNSIGNED DEFAULT '0' NOT NULL,
  ADD `headshots` INT UNSIGNED DEFAULT '0' NOT NULL;          
  
  
ALTER TABLE `hlstats_Actions` 
  ADD `count` INT UNSIGNED DEFAULT '0' NOT NULL ;
  